Get a collection by slug
Fetches a single collection by its slug.
GET
/
ai
/
collections
/
slug
/
{slug}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const CollectionEnvelope = await client.ai.collections.retrieve('slug');
console.log(CollectionEnvelope.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
collection_envelope = client.ai.collections.retrieve(
"slug",
)
print(collection_envelope.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
collection, err := client.AI.Collections.Get(
context.TODO(),
"slug",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", collection.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.ai().collections().retrieve("slug");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
collection_envelope = telnyx.ai.collections.retrieve("slug")
puts(collection_envelope)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$collection_envelope = $client->ai->collections->retrieve(
'slug',
);
var_dump($collection_envelope);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:collections retrieve \
--api-key 'My API Key' \
--slug support-transcriptscurl --request GET \
--url https://api.telnyx.com/v2/ai/collections/slug/{slug} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e",
"slug": "support-transcripts",
"record_type": "ai_collection",
"name": "Support Transcripts",
"description": "All customer support voice transcripts.",
"status": "ready",
"sources": [
{
"id": "source_8vkvtcksnawvbnxq48yv2l06wx",
"record_type": "ai_collection_source",
"collection_id": "6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e",
"source_type": "voice",
"bucket_id": "policy-docs",
"status": "ready"
}
],
"settings": {
"record_type": "ai_collection_settings",
"retrieval": {
"top_k": 5,
"retrieval_type": "vector"
}
},
"created_at": "2026-08-04T12:00:00Z",
"updated_at": "2026-08-04T12:00:00Z"
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "The required authentication headers were either invalid or not included in the request.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "collection_not_found",
"title": "Collection not found",
"detail": "No collection with uuid 'b3b1c8a2-9f4e-4d2a-9c1e-2f7a6d5b4c3a' exists for this account."
}
]
}Authorizations
Telnyx API key. Collections and results are automatically scoped to the authenticated user's organization.
Path Parameters
The collection's slug (unique within your organization).
Example:
"support-transcripts"
Response
The collection.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const CollectionEnvelope = await client.ai.collections.retrieve('slug');
console.log(CollectionEnvelope.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
collection_envelope = client.ai.collections.retrieve(
"slug",
)
print(collection_envelope.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
collection, err := client.AI.Collections.Get(
context.TODO(),
"slug",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", collection.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.ai().collections().retrieve("slug");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
collection_envelope = telnyx.ai.collections.retrieve("slug")
puts(collection_envelope)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$collection_envelope = $client->ai->collections->retrieve(
'slug',
);
var_dump($collection_envelope);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:collections retrieve \
--api-key 'My API Key' \
--slug support-transcriptscurl --request GET \
--url https://api.telnyx.com/v2/ai/collections/slug/{slug} \
--header 'Authorization: Bearer <token>'{
"data": {
"uuid": "6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e",
"slug": "support-transcripts",
"record_type": "ai_collection",
"name": "Support Transcripts",
"description": "All customer support voice transcripts.",
"status": "ready",
"sources": [
{
"id": "source_8vkvtcksnawvbnxq48yv2l06wx",
"record_type": "ai_collection_source",
"collection_id": "6a09ccbd-8f9b-4c3a-9b0e-2f1d3c4b5a6e",
"source_type": "voice",
"bucket_id": "policy-docs",
"status": "ready"
}
],
"settings": {
"record_type": "ai_collection_settings",
"retrieval": {
"top_k": 5,
"retrieval_type": "vector"
}
},
"created_at": "2026-08-04T12:00:00Z",
"updated_at": "2026-08-04T12:00:00Z"
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "The required authentication headers were either invalid or not included in the request.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "collection_not_found",
"title": "Collection not found",
"detail": "No collection with uuid 'b3b1c8a2-9f4e-4d2a-9c1e-2f7a6d5b4c3a' exists for this account."
}
]
}